"""Add original source URL for attachments.

Revision ID: 0015_add_attachment_source_url
Revises: 0014_add_article_standard_meta
Create Date: 2026-05-13
"""
from alembic import op
import sqlalchemy as sa


revision = "0015_add_attachment_source_url"
down_revision = "0014_add_article_standard_meta"
branch_labels = None
depends_on = None


def upgrade() -> None:
    op.add_column("attachment", sa.Column("source_url", sa.Text(), nullable=True))


def downgrade() -> None:
    op.drop_column("attachment", "source_url")
